Package ru.bitel.bgbilling.kernel.event.events

# Class ContractCommentPatternEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractCommentPatternEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ContractCommentPatternEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие вызывается при генерации комментария договора по шаблону Событие отрабатывает до встроенного обработчика, т.е. событие получает строку шаблона, может внести в нее изменения и передать на последующую обработку штатному обработчику

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ContractCommentPatternEvent()` |
  `` | `ContractCommentPatternEvent​(int contractId, java.lang.String commentPattern)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCommentPattern()` |
  `void` | `setCommentPattern​(java.lang.String commentPattern)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractCommentPatternEvent

    protected ContractCommentPatternEvent()

  - ### ContractCommentPatternEvent

    public ContractCommentPatternEvent​(int contractId, java.lang.String commentPattern)

- ## Method Details

  - ### getCommentPattern

    public java.lang.String getCommentPattern()

  - ### setCommentPattern

    public void setCommentPattern​(java.lang.String commentPattern)